<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsd:schema xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:ifrs-full="http://xbrl.ifrs.org/taxonomy/2020-03-16/ifrs-full" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:ix="http://www.xbrl.org/2013/inlineXBRL" xmlns:ixt="http://www.xbrl.org/inlineXBRL/transformation/2020-02-12" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" targetNamespace="http://www.grupainwest.pl/xbrl/2021-12-31" elementFormDefault="qualified" attributeFormDefault="unqualified">
    <xsd:annotation>
        <xsd:appinfo>
            <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hmi-2021-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
            <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hmi-2021-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
            <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hmi-2021-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
            <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hmi-2021-12-31_lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
            <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hmi-2021-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
            <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hmi-2021-12-31_ref.xml" xlink:role="http://www.xbrl.org/2003/role/referenceLinkbaseRef" xlink:type="simple"/>
            <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor-gen-pl.xml" xlink:role="http://www.xbrl.org/2003/role/LinkbaseRef" xlink:type="simple"/>
            <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor-lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
            <link:roleType roleURI="http://www.grupainwest.pl/role/Anchoring" id="Anchoring">
                <link:definition>Anchoring</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType roleURI="http://www.grupainwest.pl/role/role_000000" id="role_000000">
                <link:definition>[000000] 2021 Table 1 from ESEF RTS Annex II</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType roleURI="http://www.grupainwest.pl/role/ias_1_role-210000" id="ias_1_role-210000">
                <link:definition>[210000] Statement of financial position, current/non-current</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType roleURI="http://www.grupainwest.pl/role/ias_1_role-310000" id="ias_1_role-310000">
                <link:definition>[310000] Statement of comprehensive income, profit or loss, by function of expense</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType roleURI="http://www.grupainwest.pl/role/ias_1_role-410000" id="ias_1_role-410000">
                <link:definition>[410000] Statement of comprehensive income, OCI components presented net of tax</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType roleURI="http://www.grupainwest.pl/role/ias_7_role-520000" id="ias_7_role-520000">
                <link:definition>[520000] Statement of cash flows, indirect method</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType roleURI="http://www.grupainwest.pl/role/ias_1_role-610000" id="ias_1_role-610000">
                <link:definition>[610000] Statement of changes in equity</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
        </xsd:appinfo>
    </xsd:annotation>
    <xsd:import namespace="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor" schemaLocation="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor.xsd"/>
    <xsd:import namespace="http://www.w3.org/1999/xlink" schemaLocation="http://www.xbrl.org/2003/xlink-2003-12-31.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/2003/XLink" schemaLocation="http://www.xbrl.org/2003/xl-2003-12-31.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/2009/role/net" schemaLocation="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
    <xsd:import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd"/>
    <xsd:element id="hmi_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" name="AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="duration" xbrli:balance="debit"/>
    <xsd:element id="hmi_AdjustmentsForInterestIncomeAndInterestExpense" name="AdjustmentsForInterestIncomeAndInterestExpense" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="duration" xbrli:balance="debit"/>
    <xsd:element id="hmi_CashHeldInEscrowAccounts" name="CashHeldInEscrowAccounts" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="instant" xbrli:balance="debit"/>
    <xsd:element id="hmi_FinancialInvestments" name="FinancialInvestments" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="instant" xbrli:balance="debit"/>
</xsd:schema>
